#!/bin/bash

# 1: Temps en minutes
# 2: Type d’extinction

trap 'exit' INT TERM

touch /dev/shm/mccount

while true
do

mcpid="$(pgrep -nu minecraft java)"
mcstatus="$(ps -q "${mcpid}" -o state --no-headers 2>/dev/null)"

if [[ "$mcstatus" == "T" ]]
then
	echo . >> /dev/shm/mccount
else
	echo "Joueur(s) connecté(s), réinitialisation du compteur"
	> /dev/shm/mccount
fi

time=$(wc -l /dev/shm/mccount | cut -d" " -f1)

echo "$time"/"${1:-5}"

if [[ "$time" -ge "${1:-5}" ]]
then
	> /dev/shm/mccount
	systemctl "${2:-suspend}"
fi

sleepcount -c 60

done
